
s = require 'grid'

function love.load()
	love.graphics.setCaption( 'Grid' )
	gt		= 0
	wd, ht	= 600, 600
	screen	= { ht, wd }
	lines	= 2
	sweep_speed = 2
	love.graphics.setMode( wd, ht, {} )
	love.graphics.setBackgroundColor( 255, 255, 255 )
	love.mouse.setPosition( wd/2, ht/2 )
	end

function love.update( dt )
	gt = gt + 0.3 * dt
	s.effect:send( 'time', gt )
	s.effect:send( 'screen', screen )
	s.effect:send( 'lines',lines )
	s.effect:send( 'sweep_speed',sweep_speed)
	mx,my=love.mouse.getPosition()
	s.effect:send( 'mouse', { mx, ht-my } )	-- Love's sad inverted Y axis
	end

function love.draw()
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.setPixelEffect( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )	-- Love's sad image coordinates
	love.graphics.setPixelEffect()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 5, 5 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	if key == 'right' then lines = lines + 1 end
	if key == 'left' then lines = lines - 1 end
	if key == 'up' then sweep_speed = sweep_speed+1 end
	if key == 'down' then sweep_speed =sweep_speed-1 end
	end
